NRPE - Warning: This Plugin Must Be Either Run As Root Or Setuid

Problem Description

This KB article addresses the following NRPE error:

Warning: This Plugin Must Be Either Run As Root Or Setuid

 

Assumed Knowledge

The following KB article contains an explanation of how NRPE works and may need to be referenced to completely understand the problem and solution that is provided here:

NRPE - Agent and Plugin Explained

 

Troubleshooting The Error

This error is usually plugin specific and is most commonly experienced when trying to use a third-party hardware check plugin (most often disk smart checks and raid health plugins). You need to setup the sudoers file and associated config changes mentioned in the following KB article:

NRPE - NRPE: Unable To Read Output

 

Alternatively, you could set the sticky bit on the plugin's permissions. Sudoers is considered safer, so only use this option if you understand the consequences:

chmod u+s /usr/local/nagios/libexec/<plugin>

 

 

Final Thoughts

For any support related questions please visit the Nagios Support Forums at:

http://support.nagios.com/forum/

Posted by: - Mon, Jul 17, 2017 at 2:53 AM. This article has been viewed 5825 times.
Online URL: https://support.nagios.com/kb/article/nrpe-warning-this-plugin-must-be-either-run-as-root-or-setuid-625.html

Powered by PHPKB (Knowledge Base Software)